package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.AntrianPasienRegistrasi;
import com.jasamedika.medifirst2000.vo.AntrianPasienRegistrasiVO;
import com.jasamedika.medifirst2000.vo.PasienDaftarVO;

public interface RegistrasiPasienOnlineService <T> extends BaseVoService<AntrianPasienRegistrasi, AntrianPasienRegistrasiVO, Integer> {

	Map<String,Object> saveRegistrasiPasienOnline(AntrianPasienRegistrasiVO vo);
	Map<String,Object> saveRegistrasiPasienTouchScreen(AntrianPasienRegistrasiVO vo);

	Map<String, Object> confirmRegistrasiPasienOnline(String noReservasi);
	Map<String, Object> confirmPendaftaran(String noReservasi);
	Map<String,Object> getPasienByNoRec(String id);
	 Map<String,Object> getPasienDaftarByNoRec(String id);
	
	Map<String, Object> findAllAntrianPaging(Integer page, Integer limit,String sort, String dir, Integer ruanganId, String dateStart, String dateEnd, String namaPasien,String noReservasi);
	Map<String, Object> findAllAntrianBaruPagingList(Integer page, Integer limit,String sort, String dir, Integer ruanganId, String dateStart, String dateEnd, String namaPasien);
	
	Map<String, Object> savePasienAndPasienDaftar(String noReservasi);

	
}
